Z3 |

Public Member Functions
ArraySortRef Class Reference

Arrays. More...

Inheritance diagram for ArraySortRef:

## Public Member Functions
def | domain (self)
def | range (self)
Public Member Functions inherited from SortRef
def | as_ast (self)
def | get_id (self)
def | kind (self)
def | subsort (self, other)
def | cast (self, val)
def | name (self)
def | __eq__ (self, other)
def | __ne__ (self, other)
def | __hash__ (self)
Public Member Functions inherited from AstRef
def | __init__ (self, ast, ctx=None)
def | __del__ (self)
def | __deepcopy__ (self, memo={})
def | __str__ (self)
def | __repr__ (self)
def | __eq__ (self, other)
def | __hash__ (self)
def | __nonzero__ (self)
def | __bool__ (self)
def | sexpr (self)
def | as_ast (self)
def | get_id (self)
def | ctx_ref (self)
def | eq (self, other)
def | translate (self, target)
def | __copy__ (self)
def | hash (self)
Public Member Functions inherited from Z3PPObject
def | use_pp (self)

## Additional Inherited Members
Data Fields inherited from AstRef
| ast
| ctx

## Detailed Description

Arrays.

    Array sorts.

Definition at line 4483 of file z3py.py.

## Member Function Documentation

## ◆ domain()

def domain | ( |  | self | ) |

    Return the domain of the array sort `self`.

    >>> A = ArraySort(IntSort(), BoolSort())
    >>> A.domain()
    Int

Definition at line 4486 of file z3py.py.

4486 def domain(self):
4487 """Return the domain of the array sort `self`.
4488
4489 >>> A = ArraySort(IntSort(), BoolSort())
4490 >>> A.domain()
4491 Int
4492 """
4493 return _to_sort_ref(Z3_get_array_sort_domain(self.ctx_ref(), self.ast), self.ctx)
4494
z3py.IntSort
def IntSort(ctx=None)
Definition: z3py.py:3100
z3py.ArraySort
def ArraySort(*sig)
Definition: z3py.py:4645
z3py.BoolSort
def BoolSort(ctx=None)
Definition: z3py.py:1655
Z3_get_array_sort_domain
Z3_sort Z3_API Z3_get_array_sort_domain(Z3_context c, Z3_sort t)
Return the domain of the given array sort. In the case of a multi-dimensional array,...

Referenced by FuncDeclRef.__call__(), and ArrayRef.__getitem__().

## ◆ range()

def range | ( |  | self | ) |

    Return the range of the array sort `self`.

    >>> A = ArraySort(IntSort(), BoolSort())
    >>> A.range()
    Bool

Definition at line 4495 of file z3py.py.

4495 def range(self):
4496 """Return the range of the array sort `self`.
4497
4498 >>> A = ArraySort(IntSort(), BoolSort())
4499 >>> A.range()
4500 Bool
4501 """
4502 return _to_sort_ref(Z3_get_array_sort_range(self.ctx_ref(), self.ast), self.ctx)
4503
4504
z3::range
expr range(expr const &lo, expr const &hi)
Definition: z3++.h:3725
Z3_get_array_sort_range
Z3_sort Z3_API Z3_get_array_sort_range(Z3_context c, Z3_sort t)
Return the range of the given array sort.